Package org.talend.transform.runtime.api

# Class JavaObjectSource<D>

java.lang.Object
org.talend.transform.runtime.api.JavaObjectSource<D>

All Implemented Interfaces:
  `Source`

public class JavaObjectSource<D> extends Object implements Source
Used to wrap a Java object as an input to a map.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected D`
`_object`
`protected String`
`_systemId`

## Constructor Summary

Constructors
Constructor
Description
`JavaObjectSource(D object)`
Created this and sets the Java object.

## Method Summary

Modifier and Type
Method
Description
`D`
`getObject()`
Returns the Java object.
`String`
`getSystemId()`
Gets the identification string for this object to be used in error reports.
`void`
`setObject(D object)`
Sets the Java object.
`void`
`setSystemId(String systemId)`
Sets an identification string for this object to be used in error reporting.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.xml.transform.Source

`isEmpty`

## Field Details

### _systemId

protected String _systemId

### _object

protected D _object

## Constructor Details

### JavaObjectSource

public JavaObjectSource(D object)
Created this and sets the Java object.

Parameters:
  `object` - the input object to the map.

## Method Details

### getObject

public D getObject()
Returns the Java object.

Returns:
  the input object to the map.

### setObject

public void setObject(D object)
Sets the Java object.

Parameters:
  `object` -

### getSystemId

public String getSystemId()
Gets the identification string for this object to be used in error reports.

Specified by:
  `getSystemId` in interface `Source`

### setSystemId

public void setSystemId(String systemId)
Sets an identification string for this object to be used in error reporting.

Specified by:
  `setSystemId` in interface `Source`
Parameters:
  `systemId` - the id